#define PCC_IN_PC						    	0x01	/* input pin for power good reception or keypressed reception PC #1: 0x01, PC #2: 0x02 */

#define PCC_PWR_GOOD_PC						    0x01	/* output pin for power good PC #1: 0x01, PC #2: 0x02 */
#define PCC_RELAIS_MONITOR						0x10	/* output pin for monitor outlet      */
#define PCC_RELAIS_PC							0x04	/* output pin for outlet PC #1 :0x08, PC #2: 0x10     */

#define PCC_RELAIS_PC_BOTH						0x0c	/* output pin for outlet PC #1 :0x08, PC #2: 0x10     */

#define PCC_TIME_WAIT_FOR_POWER_GOOD			500     /* *10ms --> we wait a maximum of 5 seconds from switching on to power good */

typedef struct
{
	struct
	{
		volatile unsigned char state;                       // debounced and inverted key state:
                                                            // bit = 1: key pressed
		volatile unsigned char press;                       // key press detect

		//volatile unsigned char rpt;                       // key long press and repeat
	} keys;

	struct
	{
		volatile unsigned char pwr_good_and_relais;     // hold the value for power good indicator and the dc outlet bit 0
		volatile unsigned int pc_time[2];			    // set and check certain time values

	} control;
} PCC_STRUCT_VAR;

extern	volatile PCC_STRUCT_VAR		pcc_data;

/* module pcc_io.c */
void			pcc_key_init			(void);
void			pcc_key_serve			(void);
unsigned char 	pcc_getbutton			(void);          			


/* module pcc_main.c */
void			pcc_control			(void);
int 			main				(void);
